Support » Plugin: CaPa Protect » PHP Errors

  • Visitors can no longer access the site. They get this:
    Warning: sort() expects parameter 1 to be array, object given in /var/www/…/html/wp-content/plugins/capa/capa.php on line 1113

    Fatal error: Cannot use object of type WP_Term as array in /var/www/…/html/wp-content/plugins/capa/capa.php on line 1119

    https://wordpress.org/plugins/capa/

Viewing 1 replies (of 1 total)
  • Maybe it is helpful for other users, but I was able to solve this error by editing capa.php as follows. No idea whether the plugin is fully functional after this edit, but it solved my issues.:


    $category_taxo = capa_protect::get_value_categories(TRUE);

    // ADD LINES BELOW
    if ($_terms instanceof WP_Term) {
    return $_terms;
    }
    if(!$_taxonomy){
    …..

Viewing 1 replies (of 1 total)
  • The topic ‘PHP Errors’ is closed to new replies.